xcb_xv_query_best_size(3)

NAME
xcb_xv_query_best_size -

SYNOPSIS
#include <xcb/xv.h>

  Request function

xcb_xv_query_best_size_cookie_t xcb_xv_query_best_size(xcb_connection_t *conn, xcb_xv_port_t port, uint16_t vid_w, uint16_t vid_h, uint16_t drw_w, uint16_t drw_h, uint8_t motion);

  Reply datastructure

typedef struct xcb_xv_query_best_size_reply_t {
    uint8_t  response_type;
    uint8_t  pad0;
    uint16_t sequence;
    uint32_t length;
    uint16_t actual_width;
    uint16_t actual_height;
} xcb_xv_query_best_size_reply_t;

  Reply function

xcb_xv_query_best_size_reply_t *xcb_xv_query_best_size_reply(xcb_connection_t *conn, xcb_xv_query_best_size_cookie_t cookie, xcb_generic_error_t **e);

REQUEST ARGUMENTS

conn
    The XCB connection to X11.

port
    TODO: NOT YET DOCUMENTED.

vid_w
    TODO: NOT YET DOCUMENTED.

vid_h
    TODO: NOT YET DOCUMENTED.

drw_w
    TODO: NOT YET DOCUMENTED.

drw_h
    TODO: NOT YET DOCUMENTED.

motion
    TODO: NOT YET DOCUMENTED.

REPLY FIELDS

response_type
    The type of this reply, in this case XCB_XV_QUERY_BEST_SIZE. This field is also present in the xcb_generic_reply_t and can be used to tell replies apart from each other.

sequence
    The sequence number of the last request processed by the X11 server.

length
    The length of the reply, in words (a word is 4 bytes).

actual_width
    TODO: NOT YET DOCUMENTED.

actual_height
    TODO: NOT YET DOCUMENTED.

DESCRIPTION

RETURN VALUE
Returns an xcb_xv_query_best_size_cookie_t. Errors have to be handled when calling the reply function xcb_xv_query_best_size_reply.

If you want to handle errors in the event loop instead, use xcb_xv_query_best_size_unchecked. See xcb-requests(3) for details.

ERRORS
This request does never generate any errors.

SEE ALSO

AUTHOR
Generated from xv.xml. Contact xcb@lists.freedesktop.org for corrections and improvements.